ProductsOperations Class
ProductsOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectProductsOperations
Constructor
ProductsOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| get |
Gets a product by ID. The operation is supported only for billing accounts with agreement type Microsoft Customer Agreement. |
| list_by_billing_account |
Lists the products for a billing account. These don't include products billed based on usage. The operation is supported for billing accounts with agreement type Microsoft Customer Agreement or Microsoft Partner Agreement. |
| list_by_billing_profile |
Lists the products for a billing profile. These don't include products billed based on usage. The operation is supported for billing accounts with agreement type Microsoft Customer Agreement or Microsoft Partner Agreement. |
| list_by_customer |
Lists the products for a customer. These don't include products billed based on usage.The operation is supported only for billing accounts with agreement type Microsoft Partner Agreement. |
| list_by_invoice_section |
Lists the products for an invoice section. These don't include products billed based on usage. The operation is supported only for billing accounts with agreement type Microsoft Customer Agreement. |
| move |
Moves a product's charges to a new invoice section. The new invoice section must belong to the same billing profile as the existing invoice section. This operation is supported only for products that are purchased with a recurring charge and for billing accounts with agreement type Microsoft Customer Agreement. |
| update |
Updates the properties of a Product. Currently, auto renew can be updated. The operation is supported only for billing accounts with agreement type Microsoft Customer Agreement. |
| validate_move |
Validates if a product's charges can be moved to a new invoice section. This operation is supported only for products that are purchased with a recurring charge and for billing accounts with agreement type Microsoft Customer Agreement. |
get
Gets a product by ID. The operation is supported only for billing accounts with agreement type Microsoft Customer Agreement.
get(billing_account_name: str, product_name: str, **kwargs: Any) -> _models.Product
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Product, or the result of cls(response)
Return type
Exceptions
list_by_billing_account
Lists the products for a billing account. These don't include products billed based on usage. The operation is supported for billing accounts with agreement type Microsoft Customer Agreement or Microsoft Partner Agreement.
list_by_billing_account(billing_account_name: str, filter: Optional[str] = None, **kwargs: Any) -> Iterable[_models.ProductsListResult]
Parameters
- filter
- str
May be used to filter by product type. The filter supports 'eq', 'lt', 'gt', 'le', 'ge', and 'and'. It does not currently support 'ne', 'or', or 'not'. Tag filter is a key value pair string where key and value are separated by a colon (:).
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either ProductsListResult or the result of cls(response)
Return type
Exceptions
list_by_billing_profile
Lists the products for a billing profile. These don't include products billed based on usage. The operation is supported for billing accounts with agreement type Microsoft Customer Agreement or Microsoft Partner Agreement.
list_by_billing_profile(billing_account_name: str, billing_profile_name: str, filter: Optional[str] = None, **kwargs: Any) -> Iterable[_models.ProductsListResult]
Parameters
- filter
- str
May be used to filter by product type. The filter supports 'eq', 'lt', 'gt', 'le', 'ge', and 'and'. It does not currently support 'ne', 'or', or 'not'. Tag filter is a key value pair string where key and value are separated by a colon (:).
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either ProductsListResult or the result of cls(response)
Return type
Exceptions
list_by_customer
Lists the products for a customer. These don't include products billed based on usage.The operation is supported only for billing accounts with agreement type Microsoft Partner Agreement.
list_by_customer(billing_account_name: str, customer_name: str, **kwargs: Any) -> Iterable[_models.ProductsListResult]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either ProductsListResult or the result of cls(response)
Return type
Exceptions
list_by_invoice_section
Lists the products for an invoice section. These don't include products billed based on usage. The operation is supported only for billing accounts with agreement type Microsoft Customer Agreement.
list_by_invoice_section(billing_account_name: str, billing_profile_name: str, invoice_section_name: str, filter: Optional[str] = None, **kwargs: Any) -> Iterable[_models.ProductsListResult]
Parameters
- filter
- str
May be used to filter by product type. The filter supports 'eq', 'lt', 'gt', 'le', 'ge', and 'and'. It does not currently support 'ne', 'or', or 'not'. Tag filter is a key value pair string where key and value are separated by a colon (:).
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either ProductsListResult or the result of cls(response)
Return type
Exceptions
move
Moves a product's charges to a new invoice section. The new invoice section must belong to the same billing profile as the existing invoice section. This operation is supported only for products that are purchased with a recurring charge and for billing accounts with agreement type Microsoft Customer Agreement.
move(billing_account_name: str, product_name: str, parameters: _models.TransferProductRequestProperties, **kwargs: Any) -> Optional[_models.Product]
Parameters
- parameters
- TransferProductRequestProperties
Request parameters that are provided to the move product operation.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Product, or the result of cls(response)
Return type
Exceptions
update
Updates the properties of a Product. Currently, auto renew can be updated. The operation is supported only for billing accounts with agreement type Microsoft Customer Agreement.
update(billing_account_name: str, product_name: str, parameters: _models.Product, **kwargs: Any) -> _models.Product
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Product, or the result of cls(response)
Return type
Exceptions
validate_move
Validates if a product's charges can be moved to a new invoice section. This operation is supported only for products that are purchased with a recurring charge and for billing accounts with agreement type Microsoft Customer Agreement.
validate_move(billing_account_name: str, product_name: str, parameters: _models.TransferProductRequestProperties, **kwargs: Any) -> _models.ValidateProductTransferEligibilityResult
Parameters
- parameters
- TransferProductRequestProperties
Request parameters that are provided to the validate move eligibility operation.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
ValidateProductTransferEligibilityResult, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.billing.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\billing\\models\\__init__.py'>
Feedback
Submit and view feedback for